Upsert candidate civil identity
curl --request PUT \
--url https://api.gospott.com/candidates/{id}/civil-identity \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"nationalRegistryNumber": "<string>",
"birthPlace": {
"name": "<string>"
},
"iban": "<string>",
"dependents": {
"children": {
"total": 4503599627370495,
"withDisability": 4503599627370495
},
"other": {
"total": 4503599627370495,
"withDisability": 4503599627370495
}
}
}
'import requests
url = "https://api.gospott.com/candidates/{id}/civil-identity"
payload = {
"nationalRegistryNumber": "<string>",
"birthPlace": { "name": "<string>" },
"iban": "<string>",
"dependents": {
"children": {
"total": 4503599627370495,
"withDisability": 4503599627370495
},
"other": {
"total": 4503599627370495,
"withDisability": 4503599627370495
}
}
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
nationalRegistryNumber: '<string>',
birthPlace: {name: '<string>'},
iban: '<string>',
dependents: {
children: {total: 4503599627370495, withDisability: 4503599627370495},
other: {total: 4503599627370495, withDisability: 4503599627370495}
}
})
};
fetch('https://api.gospott.com/candidates/{id}/civil-identity', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 0,
"message": "<string>",
"requestId": "<string>"
}{
"status": 0,
"message": "<string>",
"requestId": "<string>"
}{
"status": 0,
"message": "<string>",
"requestId": "<string>"
}{
"status": 0,
"message": "<string>",
"requestId": "<string>"
}Candidate Civil Identity
Upsert candidate civil identity
Creates or updates the civil identity details of the candidate.
PUT
/
candidates
/
{id}
/
civil-identity
Upsert candidate civil identity
Authorizations
API key for authentication. Get your API key from Settings → API Keys in your Spott dashboard.
Path Parameters
Body
application/json
The national registry (social security) number
The place of birth
Show child attributes
Show child attributes
The marital status
Available options:
single, married, divorced, widowed, separated, legal_cohabitation, de_facto_cohabitation, de_facto_separated The IBAN bank account number
The dependent persons of the candidate
Show child attributes
Show child attributes
Response
The civil identity was saved.
Was this page helpful?
⌘I